### Method

# RB ShellPlayer play_entry

#### Declaration [src]

    void
    rb_shell_player_play_entry (
      RBShellPlayer* player,
      RhythmDBEntry* entry,
      RBSource* source
    )

#### Description [src]

Plays a specified entry.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  The `RhythmDBEntry` to play.

  The data is owned by the caller of the method.

`source`

  Type: `RBSource`

  The new `RBSource` to set as playing (or NULL to use the selected source).

  The data is owned by the caller of the method.